<?xml version="1.0" encoding="UTF-8"?>

<persistence xmlns="http://java.sun.com/xml/ns/persistence"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    version="1.0">

    <persistence-unit name="testjpa" transaction-type="RESOURCE_LOCAL">
        <provider>
            org.hibernate.ejb.HibernatePersistence
        </provider>
        <class>entity.Customer</class>
        <class>entity.Address</class>
        <class>entity.CustomerJoined</class>
        <class>entity.CustomerSingle</class>
        <class>entity.CustomerTable</class>
        <class>entity.OnlineCustomer</class>
        <class>entity.OnlineCustomerJoined</class>
        <class>entity.OnlineCustomerTable</class>
        <properties>
          <property name="hibernate.dialect" value="org.hibernate.dialect.PostgreSQLDialect"/>
          <property name="hibernate.connection.driver_class" value="org.postgresql.Driver"/>
          <property name="hibernate.connection.username" value="postgres"/>
          <property name="hibernate.connection.password" value="postgres08"/>
          <property name="hibernate.connection.url" value="jdbc:postgresql://localhost:5432/JPA-INHERITANCEBD"/>
          <property name="hibernate.max_fetch_depth" value="3"/>      
          <property name="hibernate.hbm2ddl.auto" value="create-drop"/>
      
          <!-- cache configuration -->
          <property name="hibernate.cache.provider_class" value="org.hibernate.cache.NoCacheProvider"/>
        </properties>
    </persistence-unit>
    
</persistence>
